// -*- C++ -*-
/*!
 * @file  ConsoleIn2.cpp
 * @brief Console input component
 * @date $Date$
 *
 * $Id$
 */

#include "ConsoleIn2.h"

// Module specification
// <rtc-template block="module_spec">
static const char* consolein2_spec[] =
  {
    "implementation_id", "ConsoleIn2",
    "type_name",         "ConsoleIn2",
    "description",       "Console input component",
    "version",           "1.0.0",
    "vendor",            "Myname",
    "category",          "example",
    "activity_type",     "DataFlowComponent",
    "max_instance",      "10",
    "language",          "C++",
    "lang_type",         "compile",
    ""
  };
// </rtc-template>

ConsoleIn2::ConsoleIn2(RTC::Manager* manager)
  : RTC::DataFlowComponentBase(manager),
    // <rtc-template block="initializer">
    m_outOut("out", m_out),
    m_out2Out("out2", m_out2),
    
    // </rtc-template>
	dummy(0)
{
  // Registration: InPort/OutPort/Service
  // <rtc-template block="registration">
  // Set InPort buffers
  
  // Set OutPort buffer
  registerOutPort("out", m_outOut);
  registerOutPort("out2", m_out2Out);
  
  // Set service provider to Ports
  
  // Set service consumers to Ports
  
  // Set CORBA Service Ports
  
  // </rtc-template>

}

ConsoleIn2::~ConsoleIn2()
{
}


/*
RTC::ReturnCode_t ConsoleIn2::onInitialize()
{
  return RTC::RTC_OK;
}
*/

/*
RTC::ReturnCode_t ConsoleIn2::onFinalize()
{
  return RTC::RTC_OK;
}
*/

/*
RTC::ReturnCode_t ConsoleIn2::onStartup(RTC::UniqueId ec_id)
{
  return RTC::RTC_OK;
}
*/

/*
RTC::ReturnCode_t ConsoleIn2::onShutdown(RTC::UniqueId ec_id)
{
  return RTC::RTC_OK;
}
*/

/*
RTC::ReturnCode_t ConsoleIn2::onActivated(RTC::UniqueId ec_id)
{
  return RTC::RTC_OK;
}
*/

/*
RTC::ReturnCode_t ConsoleIn2::onDeactivated(RTC::UniqueId ec_id)
{
  return RTC::RTC_OK;
}
*/


RTC::ReturnCode_t ConsoleIn2::onExecute(RTC::UniqueId ec_id)
{
  std::cout << "Please input first number: ";
  std::cin >> m_out.data;
  std::cout << "Please input second number: ";
  std::cin >> m_out2.data;
  std::cout << "Sending to subscriber: (" << m_out.data << ',' << m_out2.data << ')' << std::endl;
  m_outOut.write();
  m_out2Out.write();

  return RTC::RTC_OK;
}


/*
RTC::ReturnCode_t ConsoleIn2::onAborting(RTC::UniqueId ec_id)
{
  return RTC::RTC_OK;
}
*/

/*
RTC::ReturnCode_t ConsoleIn2::onError(RTC::UniqueId ec_id)
{
  return RTC::RTC_OK;
}
*/

/*
RTC::ReturnCode_t ConsoleIn2::onReset(RTC::UniqueId ec_id)
{
  return RTC::RTC_OK;
}
*/

/*
RTC::ReturnCode_t ConsoleIn2::onStateUpdate(RTC::UniqueId ec_id)
{
  return RTC::RTC_OK;
}
*/

/*
RTC::ReturnCode_t ConsoleIn2::onRateChanged(RTC::UniqueId ec_id)
{
  return RTC::RTC_OK;
}
*/



extern "C"
{
 
  void ConsoleIn2Init(RTC::Manager* manager)
  {
    RTC::Properties profile(consolein2_spec);
    manager->registerFactory(profile,
                             RTC::Create<ConsoleIn2>,
                             RTC::Delete<ConsoleIn2>);
  }
  
};


