// -*-C++-*-
/*!
 * @file  LRFInfoSVC_impl.h
 * @brief Service implementation header of LRFInfo.idl
 *
 */

#include "LRFInfoSkel.h"

#ifndef LRFINFOSVC_IMPL_H
#define LRFINFOSVC_IMPL_H
 
#include "urg_laser.h"

/*
 * Example class implementing IDL interface LRFInfo
 */
class LRFInfoSVC_impl
 : public virtual POA_LRFInfo,
   public virtual PortableServer::RefCountServantBase
{
 private:
   // Make sure all instances are built on the heap by making the
   // destructor non-public
   //virtual ~LRFInfoSVC_impl();

 public:
   // standard constructor
   LRFInfoSVC_impl();
   virtual ~LRFInfoSVC_impl();

   // attributes and operations
   CORBA::Short getMaxRange();
   CORBA::Short getMinAngle();
   CORBA::Short getMaxAngle();
   CORBA::Short getMaxStep();

   UrgLaser laser;
};



#endif // LRFINFOSVC_IMPL_H


